// QANav Report Tracker Copyright 2008 - 2009 Ronald D. Grindle

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.qanavigation.Basics.Rslt;
import com.qanavigation.Basics.Rslt2DArray;
import com.qanavigation.Basics.RsltString;
import com.qanavigation.Basics.RsltTable;
import com.qanavigation.Basics.SFormatter;
import com.qanavigation.Basics.SetList;
import com.qanavigation.QNservices.QNDBacc2;
import com.qanavigation.QNservices.QNDefs;
import com.qanavigation.QNservices.QNxDBbridge;
import com.qanavigation.QNservices.SrvltReqTools;
import com.qanavigation.QNservices.UserTool;
import com.qanavigation.XMLDB.XMLDB;

/**
* Ajax services for documents. Returns informations as JASON. 
*/
public class AjxDocInfo extends HttpServlet {
	
	static final long serialVersionUID = 61940016;

	//---------------------------------------------
	protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		super.service( request, response );
	}

	//---------------------------------------------
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		handleReq( request, response );
	}

	//---------------------------------------------
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		handleReq( request, response );
	}

	//---------------------------------------------
	public void handleReq(HttpServletRequest request, HttpServletResponse response) throws IOException {

		boolean notHandled = true;
		
		String json = "";
		
		String QNA;
		String val;
		
		response.setContentType("text/xml");

		PrintWriter out = response.getWriter();

		//QNRscBundle resBndl = new QNRscBundle( "QNLabels", request.getLocale() );

		Rslt res = new Rslt( true );
		
		QNDBacc2 dBAcc = new QNDBacc2();

		SrvltReqTools sTools = new SrvltReqTools( this, request );
		
		QNxDBbridge xDBB = new QNxDBbridge( dBAcc.m_DB );
		
		if( !res.checkRslt( sTools ) ) {
			
			res.addRsltAddInfo( "Init of SrvltReqTools failed." );
		}

		if( res.isOK() ) {
			
			QNA = sTools.getVal( "QNA" ).getString();
			
			val = sTools.getVal( "Val" ).getString();
			
			if( QNA.compareTo( "GetAssgnLst" ) == 0 ) {

				notHandled = false;
				
				json = GetAssgnLst( dBAcc, val );
			}			
			
			if( QNA.compareTo( "GetDBDataLst" ) == 0 ) {

				notHandled = false;
				
				json = GetDBDataLst( dBAcc, val );
			}
			
			if( QNA.compareTo( "GetTRInfoByTicket" ) == 0 ) {

				notHandled = false;
				
				json = GetTRInfoByTicket( xDBB, val );
			}				
						
			if( QNA.compareTo( "GetURLbyTicket" ) == 0 ) {

				notHandled = false;
				
				json = GetURLbyTicket( xDBB, val );
			}
			
			if( notHandled ) {
				
				if( QNA.compareTo( "GetURLbyExtID" ) == 0 ) {
	
					notHandled = false;
					
					json = GetURLbyExtID( xDBB, val );
				}
			}
			
			if( notHandled ) {
				
				if( QNA.compareTo( "GetURL4CRbyExtID" ) == 0 ) {
	
					notHandled = false;
					
					json = GetURL4CRbyExtID( xDBB, val );
				}
			}
			

			if( notHandled ) {
				
				if( QNA.compareTo( "GetURLbyUID" ) == 0 ) {
					
					notHandled = false;
					
					json = GetURLbyUID( xDBB, val );
				}
			}
			
			if( notHandled ) {
				
				if( QNA.compareTo( "GetVers4Appl" ) == 0 ) {
					
					notHandled = false;
					
					json = GetVers4Appl( dBAcc, val );
				}
			}			

			// unknown request -----------------------------------------
			if( notHandled ) {

				json = "{ \"isOK\" : \"false\", \"msg\" : \"Unknown request.\" }";
			}
		}

		out.println( json );

		dBAcc.close();
	}
	
	// --------------------
	private String GetAssgnLst( QNDBacc2 p_dBAcc, String p_Role  ) {
		
		String isOK = "false";
		String json = "";

		boolean notNew = false;
		
		int i, x;

		String row;
		
		RsltTable assgnLst;

		UserTool ut = new UserTool( p_dBAcc.m_DB );
		
		if( p_Role.length() < 1 ) {

			assgnLst = ut.getSrvcLst();
		}
		else {
			
			assgnLst = ut.getUserLst( p_Role );
		}

		x = assgnLst.getRowNum();

		if( assgnLst.isOK() ) {
			
			isOK = "true";
		}

		json = "<p>{\"response\":{\"isOK\" : \"" + isOK + "\", \"lst\": [";
		
/*		
row =  "[\"'" + p_Role + "'\", \"'" + p_Role  + "'\"]";
json += row;
row =  ", [\"" + x + "\", \"" + x  + "\"]";
json += row;
notNew = true;
*/
		for( i = 0; i < x; ++i ) {
			
			row =  "[\"" + assgnLst.getCell( 0, i ) + "\", \"" + assgnLst.getCell( 0, i ) + " - " + assgnLst.getCell( 1, i ) + "\"]";
			
    		if( notNew ) {
    			
    			json += ", ";
    		}
    		
    		json += row;
    		
    		notNew = true;
		}
		
		json += "]}}</p>";	
	
		return json;	
	}
	
	// ----------------------
	private String GetDBDataLst( QNDBacc2 p_dBAcc, String p_val ) {
		
		String json = "";

		boolean notNew = false;
		
		int i, x;

		String tableName;
		String appx;
		String[] colNames;

		String val;

		RsltTable rTbl;
		
		tableName = "DataLst";
		appx = " WHERE Name = '" + p_val + "' ORDER BY BINARY Val DESC";
		colNames = new String[1];
		colNames[0] = "Val";
		
		rTbl = p_dBAcc.m_DB.select( tableName, colNames, appx );

		if( rTbl.notOK() ) {
			
			json = "<p>{\"response\":{\"isOK\" : \"false\", \"vals\": [";			
		}
		else {
			
			json = "<p>{\"response\":{\"isOK\" : \"true\", \"vals\": [";
		
			x = rTbl.size();

			for( i = 0; i < x; ++i ) {
				
				val = rTbl.getCell( 0, i );
				
				val = SFormatter.encode4InpHTML( val );
				
	    		if( notNew ) {
	    			
	    			json += ", ";
	    		}
	    		
	    		json += "\"" + val + "\"";
	    		
	    		notNew = true;
			}
		}
		
		json += "]}}</p>";
	
		return json;
	}	
	
	
	// ------------------
	private String GetTRInfoByTicket( QNxDBbridge xDBB, String p_val ) {
		
		String json = "";
		String val;
		
		Rslt2DArray attrLst;
		
		RsltString rVal;
	
		SetList lstUID;

		String UID;
		
		String[] row;
		
		XMLDB xDB = xDBB.m_xDB;
		
		attrLst = new Rslt2DArray(2, 1);
	
		row = new String[2];
		
		row[0] = "Ticket";
		row[1] = p_val;
	
		attrLst.add( row );
		
		lstUID = xDB.getNodesByAttr( QNDefs.c_NodeTechReport, attrLst );
		
		if( lstUID.size() < 1 ) {
			
			json = "<p>{\"response\":{\"isOK\" : \"false\", \"vals\": [\"Document not found.\"";
/*
int i, x;
String val;
String txt;

txt = p_val + "<br>";
ArrayList<String> addInf;
addInf = lstUID.getRsltAddInfo();
x = addInf.size();
	
for( i = 0; i < x; ++i ) {

	val = (String)addInf.get( i );
	val += "<br>";
	
	txt += val;
}

txt = txt.replace( "\"", "'" );
			
json = "<p>{\"response\":{\"isOK\" : \"false\", \"vals\": [\"Document not found. " + txt + "\"";
*/			
		}
		else {
			
			UID = lstUID.getString( 0 ); 
			
			json = "<p>{\"response\":{\"isOK\" : \"true\", \"vals\": [";

	    	json += "\"" + UID + "\"";	
	    	
	    	json += ", \"" + p_val + "\"";
			
			rVal = xDB.getAttrVal( UID, QNDefs.c_AttrTitle );
			
			val = SFormatter.encode4InpHTML( rVal.getString() );

	    	json += ", \"" + val + "\"";
	    	
			rVal = xDB.getAttrVal( UID, QNDefs.c_AttrProbStat );

	    	json += ", \"" + rVal.getString() + "\"";	    	
		}
		
		json += "]}}</p>";	
		
		return json;
	}
	
	// ----------------------
	private String GetURLbyExtID( QNxDBbridge xDBB, String p_val ) {
		
		String json = "";
		
		Rslt2DArray attrLst;
		
		SetList lstUID;

		String val;
		
		String[] row;
		
		attrLst = new Rslt2DArray(2, 1);
	
		row = new String[2];
		
		row[0] = "ExtID";
		row[1] = p_val;
	
		attrLst.add( row );
		
		lstUID = xDBB.m_xDB.getNodesByAttr( QNDefs.c_NodeTechReport, attrLst );
		
		if( lstUID.size() < 1 ) {
			
			json = "{ \"isOK\" : \"false\", \"msg\" : \"ExtID not found.\" }";
		}
		else {
			
			val = (String)lstUID.get(0);
			
			json = "{ \"isOK\" : \"true\", \"msg\" : \"VTRFr.jsp?QNA=" + QNDefs.c_QNAViewTR + "&UID=" + val + "\" }";
		}
		
		return json;
	}
	
	// ----------------------
	private String GetURL4CRbyExtID( QNxDBbridge xDBB, String p_val ) {
		
		String json = "";
		
		Rslt2DArray attrLst;
		
		SetList lstUID;

		String val;
		
		String[] row;
		
		attrLst = new Rslt2DArray(2, 1);
	
		row = new String[2];
		
		row[0] = "ExtID";
		row[1] = p_val;
	
		attrLst.add( row );
		
		lstUID = xDBB.m_xDB.getNodesByAttr( QNDefs.c_NodeCRReport, attrLst );
		
		if( lstUID.size() < 1 ) {
			
			json = "{ \"isOK\" : \"false\", \"msg\" : \"ExtID not found.\" }";
		}
		else {
			
			val = (String)lstUID.get(0);
			
			json = "{ \"isOK\" : \"true\", \"msg\" : \"VCRRepFr.jsp?QNA=" + QNDefs.c_QNAViewCR + "&UID=" + val + "\" }";
		}
		
		return json;
	}
	
	// ------------------
	private String GetURLbyTicket( QNxDBbridge xDBB, String p_val ) {
		
		String json = "";
		
		Rslt2DArray attrLst;
	
		SetList lstUID;
		
		String[] row;		
		
		attrLst = new Rslt2DArray(2, 1);
	
		row = new String[2];
		
		row[0] = "Ticket";
		row[1] = p_val;
	
		attrLst.add( row );
		
		lstUID = xDBB.m_xDB.getNodesByAttr( attrLst );
		
		if( lstUID.size() < 1 ) {
			
			json = "{ \"isOK\" : \"false\", \"msg\" : \"Document not found.\" }";
		}
		else {
			
			json = GetURLbyUID( xDBB, lstUID.get( 0 ) );
			
			/*
			val = (String)lstUID.get(0);
			
			json = "{ \"isOK\" : \"true\", \"msg\" : \"VTRFr.jsp?QNA=" + QNDefs.c_QNAViewTR + "&UID=" + val + "\" }";
			*/
		}
		
		return json;
	}
	
	// ------------------
	private String GetURLbyUID( QNxDBbridge xDBB, String p_val ) {
		
		String json = "";
		
		RsltString rName;

		String name;
		
		json = "{ \"isOK\" : \"false\", \"msg\" : \"Document not found.\" }";
		
		rName = xDBB.m_xDB.getNodeName( p_val );
		
		if( rName.isOK() ) {
			
			name = rName.getString();
			
			if( name.compareTo( QNDefs.c_NodeCmpgn ) == 0 ) {
				
				json = "{ \"isOK\" : \"true\", \"msg\" : \"VQANavDoc?QNA=ViewDoc&UID=" + p_val + "\" }";
			}
			else if( name.compareTo( QNDefs.c_NodeCRReport ) == 0 ) {
				
				json = "{ \"isOK\" : \"true\", \"msg\" : \"VCRRepFr.jsp?QNA=" + QNDefs.c_QNAViewCR + "&UID=" + p_val + "\" }";
			}			
			else if( name.compareTo( QNDefs.c_NodeFix ) == 0 ) {
				
				json = "{ \"isOK\" : \"true\", \"msg\" : \"VFixFr.jsp?QNA=ViewFix&UID=" + p_val + "\" }";
			}
			else if( name.compareTo( QNDefs.c_NodeIssReport ) == 0 ) {
				
				json = "{ \"isOK\" : \"true\", \"msg\" : \"VIssRepFr.jsp?QNA=" + QNDefs.c_QNAViewIss + "&UID=" + p_val + "\" }";
			}
			else if( name.compareTo( QNDefs.c_NodeTechReport ) == 0 ) {
				
				json = "{ \"isOK\" : \"true\", \"msg\" : \"VTRFr.jsp?QNA=" + QNDefs.c_QNAViewTR + "&UID=" + p_val + "\" }";
			}
			else if( name.compareTo( QNDefs.c_NodeShpDoc ) == 0 ) {
				
				json = "{ \"isOK\" : \"true\", \"msg\" : \"VQANavDoc?QNA=ViewDoc&UID=" + p_val + "\" }";
			}
			else if( name.compareTo( QNDefs.c_NodeTC ) == 0 ) {
				
				json = "{ \"isOK\" : \"true\", \"msg\" : \"VQANavDoc?QNA=ViewDoc&UID=" + p_val + "\" }";
			}			
			else if( name.compareTo( QNDefs.c_NodeTCExec ) == 0 ) {
				
				json = "{ \"isOK\" : \"true\", \"msg\" : \"VQANavDoc?QNA=ViewDoc&UID=" + p_val + "\" }";
			}					
			else if( name.compareTo( QNDefs.c_NodeTCSet ) == 0 ) {
				
				json = "{ \"isOK\" : \"true\", \"msg\" : \"VQANavDoc?QNA=ViewDoc&UID=" + p_val + "\" }";
			}
		}
		
		return json;
	}
	
	// ----------------------
	private String GetVers4Appl( QNDBacc2 p_dBAcc, String p_val ) {
		
		String json = "";

		boolean notNew = false;
		
		int i, x;

		String tableName;
		String appx;
		String[] colNames;

		String val;

		RsltTable rTbl;		
		
		tableName = "ProdRels";
		appx = " WHERE Prod='" + p_val + "' ORDER BY BINARY Rel DESC";
		colNames = new String[1];
		colNames[0] = "Rel";

		rTbl = p_dBAcc.m_DB.select( tableName, colNames, appx );

		if( rTbl.notOK() ) {
			
			json = "<p>{\"response\":{\"isOK\" : \"false\", \"vals\": [";			
		}
		else {
			
			json = "<p>{\"response\":{\"isOK\" : \"true\", \"vals\": [";
		
			x = rTbl.size();

			for( i = 0; i < x; ++i ) {
				
				val = rTbl.getCell( 0, i );
				
				val = SFormatter.encode4InpHTML( val );
				
	    		if( notNew ) {
	    			
	    			json += ", ";
	    		}
	    		
	    		json += "\"" + val + "\"";
	    		
	    		notNew = true;
			}
		}
		
		json += "]}}</p>";
	
		return json;
	}		
}
