// QANav Report Tracker Copyright 2008 -2009 Ronald D. Grindle

package RTObj;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;

import RTtools.UserMailTool;

import com.qanavigation.Basics.Rslt;
import com.qanavigation.Basics.RsltString;
import com.qanavigation.Basics.SFormatter;
import com.qanavigation.QNservices.QNDBacc2;
import com.qanavigation.QNservices.QNDefs;

/**
 * CR Report Base Object
 * @author RGDM2
 *
 */
public class CRRepObj extends RTRepObj {

	//public boolean m_roleIsCRSup = false;
	public CRRepBld m_crb;
	
	/**
	 * 
	 * @param p_Request
	 * @param p_dBAcc
	 */
	public CRRepObj( HttpServlet p_Srvl, HttpServletRequest p_Request, QNDBacc2 p_dBAcc ) {

		super( p_Srvl, p_Request, p_dBAcc );
		
		m_crb = new CRRepBld( m_xDB, m_sTools, QNDefs.c_RMFilePath );
		
		if( checkRslt( m_crb ) ) {	
		
			initMe();
		}
		
		if( notOK() ) {
			
			addRsltAddFailInfo( "CRRepObj", "CRRepObj", "", "" );
		}		
	}
	
	// ------------------------
	private void initMe() {

		init( m_crb, "EditCR.jsp" );
		
		m_roleIsSrvc = m_uRTool.isCRSrvc();
	}
	
	// ------------
	protected RsltString handleSave( boolean isDraft, boolean isSub ) {

		Rslt res = new Rslt( true );
		
		RsltString rVal;
		RsltString rUID = new RsltString( "" );
	
		res = m_crb.bldCRRep( isDraft, isSub );			
		
		if( rUID.checkRslt( res ) ) {

			rUID = m_crb.save2DB( m_User, isDraft, true );

			if( rUID.isOK() && isSub ) {
				/*
				String title = m_resBndl.getString( "lblNewDoc" );
				String txt = m_resBndl.getString( "msgNewDoc" );
				
				m_crb.addLogX( m_UID.getString(), m_User, title, txt, "", "" );
				*/
				
				String txt = SFormatter.format( m_resBndl.getString( "msgNewDocBy" ), m_User );
				m_crb.appProcLogX( m_UID.getString(), txt );
				
				rVal = m_crb.getAssignee( m_UID.getString() );
				txt = SFormatter.format( m_resBndl.getString( "msgRepAssgnTo" ), rVal.getString() );
				m_crb.appProcLogX( m_UID.getString(), txt );					
				
				res = issueMail4NewDoc();

				//out.println( "<script type=\"text/javascript\">notify( \"ProbIssOK\" );</script>" );			
			}
		}
		
		if( rUID.notOK() ) {
			
			rUID.addRsltAddInfo( "CRObj.handleSave() failed." );
		}
		
		return rUID;
	}
	
	/**
	 * 
	 * @return
	 */
	protected Rslt issueMail4NewDoc() {
		
		Rslt res;
		
		RsltString rec;
		String recCl;
		
		UserMailTool mt = new UserMailTool( m_dBAcc.m_DB );
		
		String repTitle = m_sTools.getStrVal( "Title" );
		String ticketNum = m_crb.getTicket();

		//String lnk = "RepIss.jsp?QNA=EditIss&UID=" + UID.getString();
		
		String theUrl = m_sTools.getUrl4DocView( m_UID.getString(), QNDefs.c_QNAViewCR );

		String sender = m_resBndl.getString( "valSenderMail" );	
		String senderClear = m_resBndl.getString( "valSenderClear" );

		String mSubj = SFormatter.format( m_resBndl.getString( "lblNewCRRep" ), ticketNum );

		String mMsg = "<p>" + mSubj + ":</p>";
		mMsg += "<p><a href=\"" + theUrl + "\">" + ticketNum + " " + repTitle + "</a></p>";

		String pMsg = mSubj;
		pMsg += "\n" + theUrl + " (" + repTitle + ")";

		rec = mt.getSuperVforCR();
		
		recCl = "CR Supervisor";
		
		res = mt.postMail( rec.getString(), recCl, null, mSubj, pMsg, mMsg, sender, senderClear );
		
		return res;
	}
}
