// QANav Report Tracker Copyright 2008 -2009 Ronald D. Grindle

package RTObj;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;

import RTtools.QNDocMan;
import RTtools.ShpDocStat;

import com.qanavigation.Basics.Rslt;
import com.qanavigation.Basics.RsltStatVal;
import com.qanavigation.Basics.RsltString;
import com.qanavigation.Basics.SFormatter;
import com.qanavigation.QNservices.QNDBacc2;
import com.qanavigation.QNservices.QNDefs;

/**
 * CR Report View Object
 * @author RGDM2
 *
 */
public class VShpDocObj extends ShpDocObj {

	public boolean m_statIsSub;
	public boolean m_docNotFound;
	public boolean m_roleIsInYGrp;
	public boolean m_roleIsYours;	
	
	public String m_hrefTail;
	public String m_notify;
	public String m_stat;
	public String m_title;
	public String m_qStr;	

	public ShpDocStat m_statObj;
	
	public QNDocMan m_qnDm;
	
	/**
	 * 
	 * @param p_Request
	 * @param p_dBAcc
	 */
	public VShpDocObj( HttpServlet p_Srvl, HttpServletRequest p_Request, QNDBacc2 p_dBAcc ) {

		super( p_Srvl, p_Request, p_dBAcc );

		m_qnDm = new QNDocMan( p_dBAcc.m_DB, QNDefs.c_NodeShpDoc );

		if( checkRslt( m_qnDm ) ) {

			initMe();		
		}
		
		if( notOK() ) {
			
			addRsltAddFailInfo( "VShipDocObj", "VShipDocObj", "", "" );
		}		
	}
	
	// ----------------------
	private void initMe() {
		
		m_statIsSub = true;
		m_docNotFound = false;
		m_roleIsInYGrp = false;
		m_roleIsYours = false;		
		
		m_hrefTail = "";
		m_notify = "";
		m_stat = "";
		m_title = "";
		m_qStr = "";	
		
		m_statObj = null;
	}
	
	/**
	 * 
	 * @return
	 */
	public Rslt initObj() {
		
		String title;
		String txt;
		
		String UIDstr = "";
		
		RsltString rVal;
		
		Rslt res = new Rslt( true );
		
		// Saving a new report
		if( m_sTools.isExpVal( "QNA", QNDefs.c_QNAIssShp ).isOK() ) {

			m_stat = m_sTools.getStrVal( QNDefs.c_AttrShpStat );
			
			ShpDocStat statObj = new ShpDocStat( m_stat );
			
			m_statIsDraft = statObj.isDraft();
			
			m_statIsSub = statObj.isSub();
		
			rVal = handleSave( m_statIsDraft, m_statIsSub );
			
			m_UID = rVal;
			
			UIDstr = rVal.getString();
			
			if( res.checkRslt( rVal ) ) {	
				
				if( !( m_statIsDraft || m_statIsSub ) ) {
					
					title = m_resBndl.getString( "lblDocChg" );
					txt =  SFormatter.format( m_resBndl.getString( "msgDocChgBy" ), SFormatter.encodeHTML( m_User ) );
					m_sdb.addLogX( m_UID.getString(), m_User, title, txt, "", "" );
				}
			}
			
			//doMail = isSub; 

	//dStr += "<p>" + res.getRsltFinalMsg() + " " + res.getRsltStatVal() + "</p>";		
			
			if( res.isOK() ) {
				
				UIDstr = m_UID.getString();

				m_qStr = "VQANavDoc?QNA="+ QNDefs.c_QNAViewShp + "&UID=" + UIDstr;
				m_hrefTail = "?QNA="+ QNDefs.c_QNAViewShp + "&UID=" + UIDstr;
			}
		}
		else {
			
			m_UID = m_sTools.getVal( "UID" );
			
			UIDstr = m_UID.getString();
			
			res = m_qnDm.chkDoc( m_UID.getString() );
			
			if( res.isInStat( RsltStatVal.isEmpty ) ) {
			
				res.setOK();
				m_docNotFound = true; 
			}
			else {
				
				m_stat = m_qnDm.getDocStat( m_UID.getString() ).getString();
				
				if( m_sTools.isExpVal( "QNA", QNDefs.c_QNAViewShp ).isOK() ) {

					m_qStr = "VQANavDoc?" + m_sTools.m_Req.getQueryString();
				}
			}
		}
		
		m_statObj = new ShpDocStat( m_stat );
		
		if( res.isOK() && !( m_docNotFound )  ) {


			m_title = m_qnDm.m_xDB.getAttrVal( UIDstr, QNDefs.c_AttrAppl ).getString();
			m_title += " " + m_qnDm.m_xDB.getAttrVal( UIDstr, QNDefs.c_AttrShipRel ).getString();
			
			m_roleIsYours = m_uRTool.isYours( UIDstr );

			m_roleIsInYGrp = m_uRTool.isCRInYGrp( UIDstr );

		}
		
		if( res.isOK() ) {
			
			m_notify = "notify( \"VShpDocOK\" );";
		}
		
		return res;
	}
}
