//---------------------------------------------------------
//QA Navigator SLMT Services Collection
//Copyright � 2009 Ronald D. Grindle
//---------------------------------------------------------


package RTtools;

import com.qanavigation.Basics.Rslt;
import com.qanavigation.Basics.RsltString;
import com.qanavigation.Basics.RsltTable;
import com.qanavigation.Basics.SFormatter;
import com.qanavigation.DBacc.DBacc2;
import com.qanavigation.QNservices.QNDefs;
import com.qanavigation.QNservices.QNconfig;
import com.qanavigation.QNservices.SMTPmailer;
import com.qanavigation.QNservices.UserTool;

/** Simple mail tool.
 * MailTool isA Rslt and a Result Service.
 * @author RDG
 *
 */
public class UserMailTool extends UserTool {
	
	private SMTPmailer m_SMTPmailer;

	/**
	 * 
	 * @param p_DBacc
	 */
	public UserMailTool( DBacc2 p_DBacc ) {
	
		super( p_DBacc );

		if( checkRslt( m_DB ) ) {

			QNconfig qConf = new QNconfig();
			
			RsltString SMTPhost = qConf.getMailSMTPhost();
			
			RsltString user = qConf.getMailUser();
			
			RsltString PWD = qConf.getMailPWD();	

			if( checkRslt( qConf ) ) {

				m_SMTPmailer = new SMTPmailer( SMTPhost.getString(), user.getString(), PWD.getString() );
				
				checkRslt( m_SMTPmailer );
			}
		}			
	}
	
	/**
	 * For testing purposes..
	 * @param p_DBacc
	 * @param SMTPhost
	 * @param user
	 * @param PWD
	 */
	public UserMailTool( DBacc2 p_DBacc, String SMTPhost, String user, String PWD ) {

		super( p_DBacc );
	
		if( checkRslt( m_DB ) ) {

			m_SMTPmailer = new SMTPmailer( SMTPhost, user, PWD );
			
			checkRslt( m_SMTPmailer );
		}			
	}
	
	/* *
	 * Mail to the admin sent on behalf the QA Nav.
	 * @param p_Subj
	 * @param p_Msg
	 * @return
	 *
	public void admMailToAdm( String p_Subj, String p_PlainMsg, String p_HtmlMsg ) {
			
		mailToAdm( p_Subj, p_PlainMsg, p_HtmlMsg, QNDefs.c_QNMailAddr, QNDefs.c_QNMailClear );
	}*/
	
	/* *
	 * Mail to the supervisor on behalf the QA Nav.
	 * @param p_Subj
	 * @param p_Msg
	 * @return
	 *
	public Rslt admMailToSupV( String p_Subj, String p_PlainMsg, String p_HtmlMsg ) {
			
		Rslt res;
			
		res= mailToSupV( p_Subj, p_PlainMsg, p_HtmlMsg, QNDefs.c_QNMailAddr, QNDefs.c_QNMailClear );
		
		return res;
	}*/
	
	/* *
	 * Mail sent on behalf the QA Nav.
	 * @param p_User
	 * @param p_Subj
	 * @param p_Msg
	 * @return
	 *
	public Rslt admMailToUser( String p_User, String p_Subj, String p_PlainMsg, String p_HtmlMsg, String p_Sender, String p_SenderClear ) {
	
		Rslt res;
		
		res = mailToUser( p_User, p_Subj, p_PlainMsg, p_HtmlMsg, p_Sender, p_SenderClear );
	
		return res;
	}*/
	

	/* *
	 * Sends a mail on behalf the QA Nav to the user and a carbon copy to the supervisor.
	 * @param p_User
	 * @param p_Subj
	 * @param p_Msg
	 * @return
	 *
	public Rslt admMailToUserCCSup( String p_User, String p_Subj, String p_PlainMsg, String p_HtmlMsg  ) {
		
		Rslt res;
		
		res = mailToUserCCSup( p_User, p_Subj, p_PlainMsg, p_HtmlMsg, QNDefs.c_QNMailAddr, QNDefs.c_QNMailClear );

		return res;
	}*/
	
	/**
	 * Get co-coordinator list, if user is coordinator
	 */
	public String[] getCLIC( String p_User ) {
		
		int i, x;
		String[] clLst = null;
		
		String appx;
		String[] colNames;
		String tableName ;
		
		String grp;
		
		RsltString rStr;		
		RsltTable rTbl;
		
		colNames = new String[1];
// ###################################
		tableName = QNDefs.c_TblUserRoles;
		appx = "WHERE " + QNDefs.c_ColRole + " = '" +  QNDefs.c_RoleCo + "' AND " + QNDefs.c_ColName + " = '" +  p_User + "'";
		colNames[0] = QNDefs.c_ColName;

		rTbl = m_DB.select( tableName, colNames, appx );
		
		x = rTbl.size();
		
		if( x > 0 ) {
	
			tableName = QNDefs.c_TblUsers;
			appx = "WHERE " + QNDefs.c_ColName + " = '" +  p_User + "'";
			colNames[0] = QNDefs.c_ColUGroup;

			rTbl = m_DB.select( tableName, colNames, appx );
			
			x = rTbl.size();
			
			if( x > 0 ) { 
				
				grp = rTbl.getCell( 0, 0 );
			
				tableName = QNDefs.c_TblUserRoles;
				
				appx = "WHERE " + QNDefs.c_ColRole + " = '" +  QNDefs.c_RoleCo;
				appx += "' AND NOT " + QNDefs.c_ColName + " = '" +  p_User + "'";	
				appx += "' AND " + QNDefs.c_ColName + " IN ( SELECT ";
				appx += QNDefs.c_ColName  + " FROM "+ QNDefs.c_TblUsers;
				appx += " WHERE " + QNDefs.c_ColUGroup  + "='" + grp + "')";
				
				colNames[0] = QNDefs.c_ColName;

				rTbl = m_DB.select( tableName, colNames, appx );

				x = rTbl.size();
				
				clLst = new String[ x ];
		
				for( i= 0; i < x; ++i ) {	
		
					rStr = getMailAddrById( rTbl.getCell( 0, i ) );
					
					if( rStr.isOK() ) {
					
						clLst[i] = rStr.getString();
					}
				}		
			}
		}
		return clLst;
	}
	
	/**
	 * 
	 * @param p_Role1
	 * @param p_Role2
	 * @return
	 */
	public RsltTable getMailAddrByRoles( String p_Role1, String p_Role2 ) {
		
		RsltTable rTbl = new RsltTable( true );
		RsltTable aTbl;
		
		String[] entry;
				
		int i, x;
				
		RsltString mailAddr = new RsltString( true );
		
		if ( rTbl.checkRslt( this ) ) {
			
			String val;
// ###################################			
			String stmnt = "SELECT DISTINCT ";
			String appx = " FROM " + QNDefs.c_TblUserRoles
									+ " WHERE " + QNDefs.c_ColRole + " = '" + p_Role1
									+ "' OR " + QNDefs.c_ColRole + " = '" + p_Role2								
									+ "' ORDER BY BINARY " + QNDefs.c_ColName;

			String colNames[] = { QNDefs.c_ColName };
			
			aTbl = m_DB.freeSelect( stmnt, colNames, appx );
			
			rTbl.checkRslt( aTbl );
			
			x = aTbl.getRowNum();
			
			for( i = 0; i < x; ++i ) {
				
				val = aTbl.getCell( 0, i );
				
				mailAddr = getMailAddrById( val );
				
				if( mailAddr.isOK() ) {
				
					entry = new String[2];
					
					entry[0] = mailAddr.getString();
					entry[1] = val;
					
					rTbl.add( entry );
				}
			}
		}
		
		return rTbl;
	}
	
	/**
	 * @param p_ID
	 * @return
	 */
	public RsltString getMailAddrById( String p_ID ) {
		
		RsltString mailAddr = new RsltString( true );

		if ( mailAddr.checkRslt( this ) ) {
			
			String val;

// ###################################			
			String tableName = QNDefs.c_TblUsers;
			String appx = "WHERE " + QNDefs.c_ColName + " = '" + p_ID + "'";
			String[] colNames = { QNDefs.c_ColMail };

			RsltTable rTbl = m_DB.select( tableName, colNames, appx );
						
			mailAddr.checkRslt( rTbl );
	
			if( rTbl.size() > 0 ) {
				
				val = rTbl.getCell( 0, 0 );
				
				mailAddr.setString( val );	
			}
			else {
				
				mailAddr.setInError( "Mail address not found (" + appx + " )" );
			}
		}
		
		if( mailAddr.notOK() ) {

			mailAddr.addRsltAddInfo( "'getMailAddrById()' failed for '" + p_ID + "'" );
		}
		
		return mailAddr;
	}
	
	/**
	 * 
	 * @return The email address of the supervisor for CRs
	 */
	public RsltString getSuperVforCR() {
		
		RsltString mailAddr;
		
		mailAddr = getMailAddrByRole( QNDefs.c_RoleSuper, QNDefs.c_RoleDBA );
		
		if( mailAddr.notOK() ) {
		
			mailAddr = getSupVMailAddr();
		}
		
		return mailAddr;
	}
	
	/**
	 * 
	 * @return The email address of the supervisor for Shipments
	 */
	public RsltString getSuperVforShp() {
		
		RsltString mailAddr;
		
		mailAddr = getMailAddrByRole( QNDefs.c_RoleSuper, QNDefs.c_RoleDDpl );
		
		if( mailAddr.notOK() ) {
		
			mailAddr = getSupVMailAddr();
		}
		
		return mailAddr;
	}

	/**
	 * Get the mail address of the supervisor.
	 * @return
	 */
	public RsltString getSupVMailAddr() {
		
		RsltString mailAddr = getMailAddrByRole( QNDefs.c_RoleSuper );
				
		return mailAddr;
	}	
	
	/**
	 * Get the mail address of the QANav Admin.
	 * @return
	 */
	public RsltString getAdmMailAddr() {
		
		RsltString mailAddr = getMailAddrByRole( QNDefs.c_RoleAdmin );
		
		return mailAddr;
	}	
	
	/**
	 * Get the mail address of the role owner.
	 * @param p_Role
	 * @return
	 */
	public RsltString getMailAddrByRole( String p_Role ) {
		
		RsltString mailAddr = new RsltString( true );
		
		if ( mailAddr.checkRslt( this ) ) {
			
			String val;
// ###################################
			String tableName = QNDefs.c_TblUserRoles;
			String appx = "WHERE " + QNDefs.c_ColRole + " = '" + p_Role + "'";
			String[] colNames = { QNDefs.c_ColName };

			RsltTable rTbl = m_DB.select( tableName, colNames, appx );
			
			checkRslt( rTbl );
			
			if( rTbl.size() > 0 ) {
				
				val = rTbl.getCell( 0, 0 );
				
				mailAddr = getMailAddrById( val );
			}
		}
		
		return mailAddr;
	}
	
	/**
	 * 
	 * @param p_Role
	 * @return
	 */
	public RsltString getMailAddrByRole( String p_Role, String p_2ndRole ) {
		
		RsltString mailAddr = new RsltString( true );
		
		if ( mailAddr.checkRslt( this ) ) {
			
			String val;
// ###################################
			String tableName = QNDefs.c_TblUserRoles;
			String appx = "WHERE " + QNDefs.c_ColRole + " = '" + p_Role + "'";
			appx += " AND " + QNDefs.c_ColRole + " = '" + p_2ndRole + "'";
			String[] colNames = { QNDefs.c_ColName };

			RsltTable rTbl = m_DB.select( tableName, colNames, appx );
			
			checkRslt( rTbl );
			
			if( rTbl.size() > 0 ) {
				
				val = rTbl.getCell( 0, 0 );
				
				mailAddr = getMailAddrById( val );
			}
		}
		
		return mailAddr;
	}
	
	/**
	 * E-Mail for "R2Ship"
	 * @param p_Subj
	 * @param p_PlainMsg
	 * @param p_HtmlMsg
	 * @param p_Sender
	 * @param p_SendClear
	 */
	public void mail4R2Ship( String p_Subj, String p_PlainMsg, String p_HtmlMsg, String p_Sender, String p_SendClear ) {
			
		mailToSupV( p_Subj, p_PlainMsg, p_HtmlMsg, p_Sender, p_SendClear );
	}
	
	/**
	 * Sends a mail to the QANav Admin. No error checking; if this one does not make it we're screwed anyway.
	 * @param p_Subj
	 * @param p_Msg
	 * @param p_Sender
	 * @param p_SendClear sender clear name 
	 */
	public void mailToAdm( String p_Subj, String p_PlainMsg, String p_HtmlMsg, String p_Sender, String p_SendClear ) {
		
		RsltString rAdm = getAdmMailAddr();
		
		if( rAdm.isOK() ) {
			
			m_SMTPmailer.postMail( rAdm.getString(), "QANav Admin", null, p_Subj, p_PlainMsg, p_HtmlMsg, 
													"", "", "", p_Sender, p_SendClear);
		}
	}
	
	/**
	 * 
	 * @param p_Assgn
	 * @param p_Subj
	 * @param p_PlainMsg
	 * @param p_HtmlMsg
	 * @param p_Sender
	 * @param p_SendClear
	 * @return
	 */
	public Rslt mailToAssgn( String p_Assgn, String p_Subj, String p_PlainMsg, String p_HtmlMsg, String p_Sender, String p_SendClear ) {
		
		Rslt res = new Rslt( true );
		
		RsltString mailAddr = getMailAddrById( p_Assgn );
		
		if( res.checkRslt( mailAddr ) ) {
			
			res.setRsltStat( m_SMTPmailer.postMail( mailAddr.getString(), p_Assgn, null, p_Subj, p_PlainMsg, p_HtmlMsg, 
					"", "", "", p_Sender, p_SendClear) );
		}
		
		return res;
	}
	
	/**
	 * Sends a mail to the supervisor.
	 * @param p_Subj
	 * @param p_Msg
	 * @param p_Sender
	 * @param p_SendClear sender clear name
	 * @return
	 */
	public Rslt mailToAllDevSupV( String p_Subj, String p_PlainMsg, String p_HtmlMsg, String p_Sender, String p_SendClear ) {
		
		Rslt res = new Rslt( true );
		
		int i, x;
		
		String[] lstDevCoo;
		String[] lstClNames;
		
		RsltTable rDevCoLst = getMailAddrByRoles( QNDefs.c_RoleCo , QNDefs.c_RoleDev );
		
		if( res.checkRslt( rDevCoLst ) ) {
			
			x = rDevCoLst.getRowNum();
			
			lstDevCoo = new String[x];
			lstClNames = new String[x];
			
			for( i = 0; i < x; ++i ) {
				
				lstDevCoo[i] = rDevCoLst.getCell( 0, i );
				lstClNames[i] = rDevCoLst.getCell( 1, i );
			}

			res.setRsltStat( m_SMTPmailer.postMail( lstDevCoo, lstClNames, null, p_Subj, p_PlainMsg, p_HtmlMsg, 
							"", "", "", p_Sender, p_SendClear) );
		}
		
		return res;
	}
	
	/**
	 * Sends a mail to the supervisor.
	 * @param p_Subj
	 * @param p_Msg
	 * @param p_Sender
	 * @param p_SendClear sender clear name
	 * @return
	 */
	public Rslt mailToSupV( String p_Subj, String p_PlainMsg, String p_HtmlMsg, String p_Sender, String p_SendClear ) {
		
		Rslt res = new Rslt( true );
		
		RsltString rSup = getSupVMailAddr();
		
		if( res.checkRslt( rSup ) ) {

			res.setRsltStat( m_SMTPmailer.postMail( rSup.getString(), "QANav SuperV", null, p_Subj, p_PlainMsg, p_HtmlMsg, 
					"", "", "", p_Sender, p_SendClear) );
		}
		
		return res;
	}
	
	/**
	 * Special request: with copy to Co-coordinator of same group, if co-ordinator.
	 * @param p_ResBndl
	 * @param p_Rec
	 * @param p_Subj
	 * @param p_HMsg
	 * @param p_PMsg
	 * @return The notification message about sending the mail.
	 */
	public Rslt mailToUser( String p_User, String p_Subj, String p_HMsg, String p_PMsg, String p_Sender, String p_SendClear ) {
		
		Rslt res;

		// On special request
		res = mailToUserWCTCIC( p_User, p_Subj, p_PMsg, p_HMsg, p_Sender, p_SendClear );

		return res;
	}
	
	/**
	 * Sends a mail to the user.
	 * @param p_User
	 * @param p_Subj
	 * @param p_PlainMsg
	 * @param p_HtmlMsg
	 * @param p_Sender
	 * @param p_SendClear
	 * @return
	 *
	public Rslt mailToUser( String p_User, String p_Subj, String p_PlainMsg, String p_HtmlMsg, String p_Sender, String p_SendClear ) {
		
		Rslt res = new Rslt( true );
		
		RsltString rUser = getMailAddrById( p_User );

		if( res.checkRslt( rUser ) ) {
			
			res = m_SMTPmailer.postMail( rUser.getString(), p_User, null, p_Subj, p_PlainMsg, p_HtmlMsg, 
					"", "", "", p_Sender, p_SendClear );
		}
		
		return res;
	} */
	
	/**
	 * Sends a mail to the user and a copy to all coordinators.
	 * @param p_User
	 * @param p_Subj
	 * @param p_PlainMsg
	 * @param p_HtmlMsg
	 * @param p_Sender
	 * @param p_SendClear
	 * @return
	 */
	public Rslt mailToUserWCTCIC( String p_User, String p_Subj, String p_PlainMsg, String p_HtmlMsg, String p_Sender, String p_SendClear ) {
		
		Rslt res = new Rslt( true );
		
		String[] ccLst = null;
		
		RsltString rUser = getMailAddrById( p_User );
		
		ccLst = getCLIC( p_User );
		
		if( res.checkRslt( rUser ) ) {
			
			res = m_SMTPmailer.postMail( rUser.getString(), p_User, ccLst, p_Subj, p_PlainMsg, p_HtmlMsg, 
					"", "", "", p_Sender, p_SendClear );
		}
		
		return res;
	}
	
	/**
	 * Sends a mail to the user and a carbon copy to the supervisor.
	 * @param p_User
	 * @param p_Subj
	 * @param p_Msg
	 * @param p_Sender
	 * @param p_SendClear sender clear name
	 * @return
	 */
	public Rslt mailToUserCCSup( String p_User, String p_Subj, String p_PlainMsg, String p_HtmlMsg, String p_Sender, String p_SendClear ) {
		
		Rslt res = new Rslt( true );
		
		RsltString rSup = getSupVMailAddr();
			
		if( res.checkRslt( rSup ) ) {
			
			RsltString rUser = getMailAddrById( p_User );
		
			if( res.checkRslt( rUser ) ) {
				
				String[] ccLst = new String[1];
				
				ccLst[0] = rSup.getString();
				
				res.setRsltStat(  m_SMTPmailer.postMail( rUser.getString(), p_User, ccLst, p_Subj, p_PlainMsg, p_HtmlMsg, 
						"", "", "", p_Sender, p_SendClear) );
			}
		}
		
		return res;
	}
	
	/**
	 * Sends out a html mail.
	 * @param p_Recipient
	 * @param p_RecClear receiver clear name
	 * @param p_CCLst ; may be null.
	 * @param p_Subject
	 * @param p_Message
	 * @param p_Sender
	 * @param p_SendClear sender clear name
	 * @return 
	 */
	public Rslt postMail( String p_Recipient, String p_RecClear, String[] p_CCLst, String p_Subject, String p_PlainMsg, String p_HtmlMsg, String p_Sender, String p_SendClear ) 
	{
		
		Rslt res = new Rslt( true );
		
		if( res.checkRslt( this) ) {
			
			String subj = SFormatter.decodeHTML( p_Subject );
	
			res = m_SMTPmailer.postMail( p_Recipient, p_RecClear, p_CCLst, subj, p_PlainMsg, p_HtmlMsg, 
					"", "", "", p_Sender, p_SendClear);
		}			
		
		return res;
	}
	
	/**
	 * 
	 * @param p_Recipient
	 * @param p_RecClear
	 * @param p_CCLst
	 * @param p_Subject
	 * @param p_PlainMsg
	 * @param p_HtmlMsg
	 * @param p_FileName
	 * @param p_FileDat
	 * @param p_FileType
	 * @param p_Sender
	 * @param p_SendClear
	 * @return
	 */
	public Rslt postMail( String p_Recipient, String p_RecClear, String[] p_CCLst, 
												String p_Subject, String p_PlainMsg, String p_HtmlMsg, String p_FileName, String p_FileDat, String p_FileType,
												String p_Sender, String p_SendClear ) 
	{
		
		Rslt res = new Rslt( true );
		
		if( res.checkRslt( this) ) {
			
			String subj = SFormatter.decodeHTML( p_Subject );
	
			res = m_SMTPmailer.postMail( p_Recipient, p_RecClear, p_CCLst, subj, p_PlainMsg, p_HtmlMsg, 
					p_FileName, p_FileDat, p_FileType, p_Sender, p_SendClear);
		}			
		
		return res;
	}

}
