// QANav Report Tracker Copyright 2008 Ronald D. Grindle

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import RTtools.UserMailTool;

import com.qanavigation.Basics.Rslt;
import com.qanavigation.Basics.RsltString;
import com.qanavigation.Basics.SFormatter;
import com.qanavigation.QNservices.QNDBacc2;
import com.qanavigation.QNservices.QNRscBundle;
import com.qanavigation.QNservices.SrvltReqTools;

/**
* Service interface level calls to report test execution
*/
public class TExecRep extends HttpServlet {
	
	static final long serialVersionUID = 61940010;

	//---------------------------------------------
	protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		super.service( request, response );
	}

	//---------------------------------------------
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		handleReq( request, response );
	}

	//---------------------------------------------
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		handleReq( request, response );
	}

	//---------------------------------------------
	public void handleReq(HttpServletRequest request, HttpServletResponse response) throws IOException {

		boolean notHandled = true;

		String msg1 = "";
		
		response.setContentType("text/html");

		PrintWriter out = response.getWriter();

		QNRscBundle resBndl = new QNRscBundle( "QNLabels", request.getLocale() );

		Rslt res = new Rslt( true );
		
		QNDBacc2 dBAcc = new QNDBacc2();

		SrvltReqTools sTools = new SrvltReqTools( this, request );
		
		if( !res.checkRslt( sTools ) ) {
			
			res.addRsltAddInfo( "Init of SrvltReqTools failed." );
		}

		if( res.isOK() ) {

notHandled = false;
msg1 = "Message received loud and clear.";
RsltString val = sTools.getVal( "QNA" );
msg1 += "</p><p>YourRequest: '" + val.getString() + "'";

			// manage request -----------------------------------------
			// example from User Mgmt
			if( sTools.checkVal( "QNA", "Test" ) ) {
/*
				User = sTools.getVal( "User" );
				
				if( res.checkRslt( User ) ) {
					
					PW = sTools.getVal( "PW" );
				}
	*/			
				if( res.notOK() ) {
					
					res.addRsltAddInfo( "'Add User': Retrieving a parameter failed." );
				}
				else {
					
					// do something

				}

			}



			// unknown request -----------------------------------------
			if( notHandled ) {

				msg1 = "Wrong QNA.";
			}
		}

		if( res.isOK() ) {

			out.println( "<p>" + msg1 + "</p>" );
		}
		else {
			
			UserMailTool mt = new UserMailTool( dBAcc.m_DB );
			String mMsg = "An error occured: " + res.getRsltFinalMsg();
			String subj = "QANav error at " + request.getRequestURL();
			
			String sender = resBndl.getString( "valSenderMail" );	
			String senderClear = resBndl.getString( "valSenderClear" );
			
			mt.mailToAdm( subj, mMsg, mMsg, sender, senderClear );
			
			String errMsg1 = "Transaction is in error.";
			String errMsg2 = SFormatter.format( "Error reason: {0}", res.getRsltFinalMsg() );
			String errMsg3 = "The administrator was notified.";

			SrvltReqTools.logErr( this, request, res );

			out.println( "<p>" + errMsg1 + "</p>" );			
			out.println( "<p>" + errMsg2 + "</p>" );
			out.println( "<p>" + errMsg3 + "</p>" );
		}
		
		dBAcc.close();
	}
}
