<?xml version='1.0'?>
<!-- Stylesheet for a CR Report -->

<!DOCTYPE stylesheet [

<!ENTITY nbsp    "&#160;" >
<!ENTITY iexcl   "&#161;" >
<!ENTITY cent    "&#162;" >
<!ENTITY pound   "&#163;" >
<!ENTITY curren  "&#164;" >
<!ENTITY yen     "&#165;" >
<!ENTITY brvbar  "&#166;" >
<!ENTITY sect    "&#167;" >
<!ENTITY uml     "&#168;" >
<!ENTITY copy    "&#169;" >
<!ENTITY ordf    "&#170;" >
<!ENTITY laquo   "&#171;" >
<!ENTITY not     "&#172;" >
<!ENTITY shy     "&#173;" >
<!ENTITY reg     "&#174;" >
<!ENTITY macr    "&#175;" >
<!ENTITY deg     "&#176;" >
<!ENTITY plusmn  "&#177;" >
<!ENTITY sup2    "&#178;" >
<!ENTITY sup3    "&#179;" >
<!ENTITY acute   "&#180;" >
<!ENTITY micro   "&#181;" >
<!ENTITY para    "&#182;" >
<!ENTITY middot  "&#183;" >
<!ENTITY cedil   "&#184;" >
<!ENTITY sup1    "&#185;" >
<!ENTITY ordm    "&#186;" >
<!ENTITY raquo   "&#187;" >
<!ENTITY frac14  "&#188;" >
<!ENTITY frac12  "&#189;" >
<!ENTITY frac34  "&#190;" >
<!ENTITY iquest  "&#191;" >
<!ENTITY Agrave  "&#192;" >
<!ENTITY Aacute  "&#193;" >
<!ENTITY Acirc   "&#194;" >
<!ENTITY Atilde  "&#195;" >
<!ENTITY Auml    "&#196;" >
<!ENTITY Aring   "&#197;" >
<!ENTITY AElig   "&#198;" >
<!ENTITY Ccedil  "&#199;" >
<!ENTITY Egrave  "&#200;" >
<!ENTITY Eacute  "&#201;" >
<!ENTITY Ecirc   "&#202;" >
<!ENTITY Euml    "&#203;" >
<!ENTITY Igrave  "&#204;" >
<!ENTITY Iacute  "&#205;" >
<!ENTITY Icirc   "&#206;" >
<!ENTITY Iuml    "&#207;" >
<!ENTITY ETH     "&#208;" >
<!ENTITY Ntilde  "&#209;" >
<!ENTITY Ograve  "&#210;" >
<!ENTITY Oacute  "&#211;" >
<!ENTITY Ocirc   "&#212;" >
<!ENTITY Otilde  "&#213;" >
<!ENTITY Ouml    "&#214;" >
<!ENTITY times   "&#215;" >
<!ENTITY Oslash  "&#216;" >
<!ENTITY Ugrave  "&#217;" >
<!ENTITY Uacute  "&#218;" >
<!ENTITY Ucirc   "&#219;" >
<!ENTITY Uuml    "&#220;" >
<!ENTITY Yacute  "&#221;" >
<!ENTITY THORN   "&#222;" >
<!ENTITY szlig   "&#223;" >
<!ENTITY agrave  "&#224;" >
<!ENTITY aacute  "&#225;" >
<!ENTITY acirc   "&#226;" >
<!ENTITY atilde  "&#227;" >
<!ENTITY auml    "&#228;" >
<!ENTITY aring   "&#229;" >
<!ENTITY aelig   "&#230;" >
<!ENTITY ccedil  "&#231;" >
<!ENTITY egrave  "&#232;" >
<!ENTITY eacute  "&#233;" >
<!ENTITY ecirc   "&#234;" >
<!ENTITY euml    "&#235;" >
<!ENTITY igrave  "&#236;" >
<!ENTITY iacute  "&#237;" >
<!ENTITY icirc   "&#238;" >
<!ENTITY iuml    "&#239;" >
<!ENTITY eth     "&#240;" >
<!ENTITY ntilde  "&#241;" >
<!ENTITY ograve  "&#242;" >
<!ENTITY oacute  "&#243;" >
<!ENTITY ocirc   "&#244;" >
<!ENTITY otilde  "&#245;" >
<!ENTITY ouml    "&#246;" >
<!ENTITY divide  "&#247;" >
<!ENTITY oslash  "&#248;" >
<!ENTITY ugrave  "&#249;" >
<!ENTITY uacute  "&#250;" >
<!ENTITY ucirc   "&#251;" >
<!ENTITY uuml    "&#252;" >
<!ENTITY yacute  "&#253;" >
<!ENTITY thorn   "&#254;" >
<!ENTITY yuml    "&#255;" >

]>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
<xsl:output method="html" version="1.0"  indent="yes"/>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="/">

	<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<title>
			<xsl:text disable-output-escaping="yes">QA Navigation - Change Request Report</xsl:text>
			<xsl:value-of disable-output-escaping="yes" select="ChgReq/@Title"/>
			<xsl:text disable-output-escaping="yes">'</xsl:text>
		</title>
	
		<link rel="stylesheet" type="text/css" href="QNXSLStyle.css"/>
		<link href="favicon.ico" rel="shortcut icon"/>
		
<script type="text/javascript">
<xsl:comment>
// dummy: required! Do not remove!
</xsl:comment>
</script>

		<xsl:apply-templates select="ProbReport/Script"/>		

	</head>
	<body bgcolor="#FFF979" class="work">
		<xsl:apply-templates select="ChgReq"/>
	</body>
	</html>

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="Script">
	<script type="text/javascript">
	<xsl:value-of disable-output-escaping="yes" select="text()"/>
	</script>
</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="ChgReq">

	<h2 style="margin-left=6px;">Change Request Report</h2>

	<table width="98%">
		<tr>
			<td><b>Number</b></td>
			<td><b><xsl:value-of select="./@Ticket" /></b></td>
			<td><b>Author</b></td>			
			<td><xsl:value-of disable-output-escaping="yes" select="./@Author" /></td>
			<td><b>Date</b></td>
			<td><xsl:value-of select="substring-before( ./@DateTime, 'T' )"/>&#160;<xsl:value-of select="substring-after( ./@DateTime, 'T' )"/></td>			
			<td><b>UID</b></td>
			<td><xsl:value-of select="./@UID" /></td>
		</tr>

		<tr> 
		   <td><b>Status</b></td>
		   <td><xsl:apply-templates select="@CRStat"/></td>
		   <td><b>Assigned</b></td>
		   <td colspan="5"><xsl:value-of disable-output-escaping="yes" select="./@Assignd" /></td>
		</tr>

		<tr>
			<td width="120px"><b>Title</b></td>
			<td colspan="7"><xsl:value-of disable-output-escaping="yes" select="./@Title" /></td>
		</tr>
	</table>
		
	<xsl:if test="string(./@Lock)">
		<table><tr><td width="30"><img src="rsc/PadLock.jpg" alt="Locked"/></td></tr></table>
	</xsl:if>

	<table>
		<tr>
			<td><b>Source</b></td>
			<td><xsl:value-of disable-output-escaping="yes" select="./@ExtSource" /></td>
			<!-- td><b>No.</b></td -->
			
			<td>
				<a href="http://crts-wita.telekom.de/view.php?id={@ExtID}" target="_parent">
					<xsl:value-of disable-output-escaping="yes" select="./@ExtID" />
				</a>
			</td>
		</tr>	
		<tr>
			<td><b>Type</b></td>
			<td colspan="2"><xsl:value-of disable-output-escaping="yes" select="./@Type" /></td>
		</tr>
		<tr> 
			<td><b>LD</b></td>
			<td colspan="2"><xsl:value-of disable-output-escaping="yes" select="./@ExtDocID" /></td>
		</tr>
		<tr> 
			<td><b>Report Date</b></td>
			<td colspan="2"><xsl:value-of disable-output-escaping="yes" select="./@ExtDateTime" /></td>
		</tr>
		<tr> 
			<td><b>Status CRTS</b></td>
			<td colspan="2"><xsl:value-of disable-output-escaping="yes" select="./@ExtStat" /></td>
		</tr>
	</table>
	
	<table>
		<tr> 	
			<td colspan="3"><b>External TR</b></td>
		</tr>
		<xsl:apply-templates select="./ExtTR"/>		
	</table>		

	<table>
   <tr> 
      <td><b>Application</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@Appl" /></td>
			<td><xsl:value-of disable-output-escaping="yes" select="./@SoftRel" /></td>      
   </tr>
   <!-- tr> 
      <td><b>Priority</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@Prio" /></td>
   </tr -->
	</table>				

	<table>  
   <tr> 
      <td><b>Update (planned)</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@RelPlan" /></td>
   </tr>
   <tr> 
      <td><b>Update (delivered)</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@RelAct" /></td>
   </tr>
   <tr> 
      <td><b>Costs BA (pd)</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@CostBA" /></td>
   </tr>
   <tr> 
      <td><b>Costs Implentation (pd)</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@CostImp" /></td>
   </tr>
   <tr> 
      <td><b>Overhead Implentation (pd)</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@CostImpOver" /></td>
   </tr>
   <tr> 
      <td><b>Overhead BA (pd)</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@CostBAOver" /></td>
   </tr>
   <tr> 
      <td><b>Risc Overhead (pd)</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@RiscOver" /></td>
   </tr>
   <tr> 
      <td><b>Total Costs (pd)</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@CostTotal" /></td>
   </tr>
	</table>		

	<table>    
   <tr> 
      <td><b>Contact BA</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@ContctBA" /></td>
   </tr>    
   <tr> 
      <td><b>Contact Development</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@ContctImp" /></td>
   </tr>
   <tr> 
      <td><b>Estimation Target </b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@TrgtEstDate" /></td>
   </tr>
   <tr> 
      <td><b>Order</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@OrderDate" /></td>
   </tr>
   <tr> 
      <td><b>Development Target</b></td>
      <td><xsl:value-of disable-output-escaping="yes" select="./@TrgtImpDate" /></td>
   </tr>
	</table>

	<table>
		<tr><td colspan="2"><b>External Systems</b></td></tr>

		<xsl:call-template name="AffSys"/>

		<tr><td colspan="2">
			<xsl:call-template name="br-replace">
				<xsl:with-param name="word" select="./ExtSystms"/>
			</xsl:call-template>
		</td></tr>
	</table>
	
	<table width="98%">
		<tr><td><b>Description</b></td></tr>
		<tr><td>
			<xsl:call-template name="br-replace">
				<xsl:with-param name="word" select="./Desc"/>
			</xsl:call-template>
		</td></tr>
	</table>

	<table width="98%">
		<tr><td><b>Comment</b></td></tr>
		<tr><td colspan="3">
			<xsl:call-template name="br-replace">
				<xsl:with-param name="word" select="./Cmnt"/>
			</xsl:call-template>
		</td></tr>
	</table>
	
	<table width="98%">
		<tr>
			<td colspan="3"><b>TR List</b></td>
		</tr>
			<xsl:apply-templates select="./RefProbRep"/>
	</table>

	<xsl:if test="FileUpload">

		<table border="2" cellspacing="0" cellpadding="4" width="98%">
			<tr>
				<td valign="center" align="left" colspan="2">

					<p><b>Additional Data</b></p>
				</td>
			</tr>
			<xsl:apply-templates select="./FileUpload">
				<xsl:sort select="@DateTime" order="descending"/>
			</xsl:apply-templates>			
		</table>
	</xsl:if>

	<xsl:if test="LogEntry">

		<h4 style="margin-left=6px;">Log Entries</h4>
		<xsl:apply-templates select="./LogEntry">
			<xsl:sort select="@DateTime" order="descending"/>
		</xsl:apply-templates>
	</xsl:if>

	<xsl:if test="ProcLog">

		<h4 style="margin-left=6px;">Process Log</h4>
			<table width="98%">
				<tr><td class="DT"><b>Date</b></td><td>&#160;</td></tr>
				<xsl:apply-templates select="./ProcLog">
					<xsl:sort select="@DateTime" order="descending"/>
				</xsl:apply-templates>
			</table>
	</xsl:if>

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template name="AffSys">

	<tr><td><xsl:text>System 1</xsl:text></td><td><xsl:value-of select="substring(./@AffSys,1,1)" /></td></tr>
	<tr><td><xsl:text>System 2</xsl:text></td><td><xsl:value-of select="substring(./@AffSys,2,1)" /></td></tr>
	<tr><td><xsl:text>System 3</xsl:text></td><td><xsl:value-of select="substring(./@AffSys,3,1)" /></td></tr>
	<tr><td><xsl:text>System 4</xsl:text></td><td><xsl:value-of select="substring(./@AffSys,4,1)" /></td></tr>
 

</xsl:template>



<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="@CRStat">

	<xsl:choose > 
<xsl:when test = ". = 'chgReq'" ><xsl:text>Changing BA</xsl:text></xsl:when>
<xsl:when test = ". = 'baEsted'" ><xsl:text>BA Estimated</xsl:text></xsl:when>
<xsl:when test = ". = 'baEst'" ><xsl:text>BA Estimating</xsl:text></xsl:when>
<xsl:when test = ". = 'dr'" ><xsl:text>Draft</xsl:text></xsl:when>
<xsl:when test = ". = 'cl'" ><xsl:text>Closed</xsl:text></xsl:when>
<xsl:when test = ". = 'preShp'" ><xsl:text>In Customer Test</xsl:text></xsl:when>
<xsl:when test = ". = 'sysTst'" ><xsl:text>System Test</xsl:text></xsl:when>
<xsl:when test = ". = 'impIng'" ><xsl:text>Implementing</xsl:text></xsl:when>
<xsl:when test = ". = 'new'" ><xsl:text>New</xsl:text></xsl:when>
<xsl:when test = ". = 'impEsted'" ><xsl:text>Dev Estimated</xsl:text></xsl:when>
<xsl:when test = ". = 'impEst'" ><xsl:text>Dev Estimating</xsl:text></xsl:when>
<xsl:when test = ". = 'estSub'" ><xsl:text>Estimate Submitted</xsl:text></xsl:when>
<xsl:when test = ". = 'baWaiOrd'" ><xsl:text>Waiting for Order</xsl:text></xsl:when>
<xsl:when test = ". = 'baWai'" ><xsl:text>Waiting for external delivery</xsl:text></xsl:when>
<xsl:when test = ". = 'postP'" ><xsl:text>Postponed</xsl:text></xsl:when>
<xsl:when test = ". = 'rj'" ><xsl:text>Rejected</xsl:text></xsl:when>
		<xsl:otherwise> 
			<xsl:value-of disable-output-escaping="yes" select="." />
		</xsl:otherwise> 
	</xsl:choose> 

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="ExtTR">
			
		<tr>
			<td width="80px">
				<xsl:value-of disable-output-escaping="yes" select="./@ExtSrc" />
			</td>
			<td width="80px">
				<xsl:value-of disable-output-escaping="yes" select="./@ExtID" />
			</td>			
			<td>
				<xsl:value-of disable-output-escaping="yes" select="./@Title" />	
			</td>			
		</tr>

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="@Prio">

	<xsl:choose > 
		<xsl:when test = ". = '1'" > 
			<xsl:text>Very High</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = '2'" > 
			<xsl:text>High</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = '3'" > 
			<xsl:text>Medium</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = '4'" > 
			<xsl:text>Low</xsl:text> 
		</xsl:when>
		<xsl:otherwise> 
			<xsl:value-of disable-output-escaping="yes" select="." />
		</xsl:otherwise> 
	</xsl:choose> 

</xsl:template>		

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="@ProbStat">

	<xsl:choose > 
<xsl:when test = ". = 'as'" ><xsl:text>Assigned</xsl:text></xsl:when>
<xsl:when test = ". = 'at'" ><xsl:text>Assigned for Test</xsl:text></xsl:when>
<xsl:when test = ". = 'bd'" ><xsl:text>building</xsl:text></xsl:when>
<xsl:when test = ". = 'CfNR'" ><xsl:text>Candidate for Next Release</xsl:text></xsl:when>
<xsl:when test = ". = 'cl'" ><xsl:text>Closed</xsl:text></xsl:when>
<xsl:when test = ". = 'cr'" ><xsl:text>Comment Requested</xsl:text></xsl:when>
<xsl:when test = ". = 'ct'" ><xsl:text>Customer Test</xsl:text></xsl:when>
<xsl:when test = ". = 'dr'" ><xsl:text>Draft</xsl:text></xsl:when>
<xsl:when test = ". = 'du'" ><xsl:text>Duplicate</xsl:text></xsl:when>
<xsl:when test = ". = 'es'" ><xsl:text>Estimated</xsl:text></xsl:when>
<xsl:when test = ". = 'ev'" ><xsl:text>Evaluating</xsl:text></xsl:when>
<xsl:when test = ". = 'fd'" ><xsl:text>Fixed</xsl:text></xsl:when>
<xsl:when test = ". = 'fx'" ><xsl:text>Fixing</xsl:text></xsl:when>
<xsl:when test = ". = 'nr'" ><xsl:text>Not Reproducible</xsl:text></xsl:when>
<xsl:when test = ". = 'ps'" ><xsl:text>Prepared for Shipment</xsl:text></xsl:when>
<xsl:when test = ". = 'rCfNR'" ><xsl:text>Request for CfNR</xsl:text></xsl:when>
<xsl:when test = ". = 're'" ><xsl:text>Re-opened</xsl:text></xsl:when>
<xsl:when test = ". = 'rg'" ><xsl:text>Response Given</xsl:text></xsl:when>
<xsl:when test = ". = 'rj'" ><xsl:text>Rejected</xsl:text></xsl:when>
<xsl:when test = ". = 'rr'" ><xsl:text>Ready for Review</xsl:text></xsl:when>
<xsl:when test = ". = 'rs'" ><xsl:text>Ready for Shipment</xsl:text></xsl:when>
<xsl:when test = ". = 'rt'" ><xsl:text>Ready for Test</xsl:text></xsl:when>
<xsl:when test = ". = 'rv'" ><xsl:text>in Review</xsl:text></xsl:when>
<xsl:when test = ". = 'sb'" ><xsl:text>Submitted</xsl:text></xsl:when>
<xsl:when test = ". = 'sh'" ><xsl:text>Shipped</xsl:text></xsl:when>
<xsl:when test = ". = 'tf'" ><xsl:text>Test Failed</xsl:text></xsl:when>
<xsl:when test = ". = 'ts'" ><xsl:text>Testing</xsl:text></xsl:when>
<xsl:when test = ". = 'wf'" ><xsl:text>Waiting for Depending Fix</xsl:text></xsl:when>
		<xsl:otherwise> 
			<xsl:value-of disable-output-escaping="yes" select="." />
		</xsl:otherwise> 
	</xsl:choose> 

</xsl:template>


<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="RefProbRep">
			
		<tr>
			<td width="80px">
				<xsl:value-of disable-output-escaping="yes" select="./@Ticket" />
			</td>
			<td>
				<a href="VTRFr.jsp?QNA=ViewTR&amp;UID={@RefUID}" target="_parent">
					<xsl:value-of disable-output-escaping="yes" select="./@Title"/>
				</a>			
			</td>
			<td>
				<xsl:apply-templates select="./@ProbStat"/>
			</td>			
		</tr>

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="LogEntry">

	<table width="98%">
		<tr>
			<td class="DT" rowspan="2"><xsl:value-of select="substring-before( ./@DateTime, 'T' )"/>&#160;<xsl:value-of select="substring-after( ./@DateTime, 'T' )"/></td>
			<td width="160px">Author: <xsl:value-of disable-output-escaping="yes" select="./@Author"/></td>
			<td><xsl:value-of disable-output-escaping="yes" select="./@Title"/></td>
		</tr>
		<tr>
			<td colspan="2">
				<p>
					<xsl:call-template name="br-replace">
						<xsl:with-param name="word" select="."/>
					</xsl:call-template>
				</p>
			</td>
		</tr>
	</table>

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="ProcLog">

		<tr>
			<td class="DT"><xsl:value-of select="substring-before( ./@DateTime, 'T' )"/>&#160;<xsl:value-of select="substring-after( ./@DateTime, 'T' )"/></td>
			<td><p><xsl:value-of disable-output-escaping="yes" select="."/></p></td>
		</tr>

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="FileUpload">

	<tr><td>
		<table border="1" cellspacing="0" cellpadding="4">
			<tr>
				<td class="DT"><xsl:value-of select="substring-before( ./@DateTime, 'T' )"/>&#160;<xsl:value-of select="substring-after( ./@DateTime, 'T' )"/></td>
				<td width="80px"><xsl:value-of disable-output-escaping="yes" select="./@Author"/></td>
				<td valign="center" align="left" width="550pt">
					<xsl:value-of disable-output-escaping="yes" select="./Desc"/>&#160;
					<a href="Upload/{@UID}/{@TName}" type="{@ContentType}" target="_blank"><xsl:value-of disable-output-escaping="yes" select="./@Name"/></a>
					<!-- br></br>
					<input class="ro" type="text" size="82" value="{Desc}" readonly="true" /-->
				</td>
			</tr>
		</table>
	</td></tr>
</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template name="br-replace">

	<xsl:param name="word"/>

	<!-- </xsl:text> on next line on purpose to get newline -->
  <xsl:variable name="cr"><xsl:text>
</xsl:text></xsl:variable>

	<xsl:choose>

		<xsl:when test="contains($word,$cr)">

			<xsl:value-of disable-output-escaping="yes" select="substring-before($word,$cr)"/>
			<br/>
			<xsl:call-template name="br-replace">

				<xsl:with-param name="word">

					<xsl:value-of select="substring-after($word,$cr)"/>
			  </xsl:with-param>
			</xsl:call-template>
		</xsl:when>

		<xsl:otherwise>

			<xsl:value-of disable-output-escaping="yes" select="$word"/>
		</xsl:otherwise>
	</xsl:choose>

</xsl:template>


</xsl:stylesheet>

