<?xml version='1.0'?>
<!-- Stylesheet for a Issue Report -->

<!DOCTYPE stylesheet [

<!ENTITY nbsp    "&#160;" >
<!ENTITY iexcl   "&#161;" >
<!ENTITY cent    "&#162;" >
<!ENTITY pound   "&#163;" >
<!ENTITY curren  "&#164;" >
<!ENTITY yen     "&#165;" >
<!ENTITY brvbar  "&#166;" >
<!ENTITY sect    "&#167;" >
<!ENTITY uml     "&#168;" >
<!ENTITY copy    "&#169;" >
<!ENTITY ordf    "&#170;" >
<!ENTITY laquo   "&#171;" >
<!ENTITY not     "&#172;" >
<!ENTITY shy     "&#173;" >
<!ENTITY reg     "&#174;" >
<!ENTITY macr    "&#175;" >
<!ENTITY deg     "&#176;" >
<!ENTITY plusmn  "&#177;" >
<!ENTITY sup2    "&#178;" >
<!ENTITY sup3    "&#179;" >
<!ENTITY acute   "&#180;" >
<!ENTITY micro   "&#181;" >
<!ENTITY para    "&#182;" >
<!ENTITY middot  "&#183;" >
<!ENTITY cedil   "&#184;" >
<!ENTITY sup1    "&#185;" >
<!ENTITY ordm    "&#186;" >
<!ENTITY raquo   "&#187;" >
<!ENTITY frac14  "&#188;" >
<!ENTITY frac12  "&#189;" >
<!ENTITY frac34  "&#190;" >
<!ENTITY iquest  "&#191;" >
<!ENTITY Agrave  "&#192;" >
<!ENTITY Aacute  "&#193;" >
<!ENTITY Acirc   "&#194;" >
<!ENTITY Atilde  "&#195;" >
<!ENTITY Auml    "&#196;" >
<!ENTITY Aring   "&#197;" >
<!ENTITY AElig   "&#198;" >
<!ENTITY Ccedil  "&#199;" >
<!ENTITY Egrave  "&#200;" >
<!ENTITY Eacute  "&#201;" >
<!ENTITY Ecirc   "&#202;" >
<!ENTITY Euml    "&#203;" >
<!ENTITY Igrave  "&#204;" >
<!ENTITY Iacute  "&#205;" >
<!ENTITY Icirc   "&#206;" >
<!ENTITY Iuml    "&#207;" >
<!ENTITY ETH     "&#208;" >
<!ENTITY Ntilde  "&#209;" >
<!ENTITY Ograve  "&#210;" >
<!ENTITY Oacute  "&#211;" >
<!ENTITY Ocirc   "&#212;" >
<!ENTITY Otilde  "&#213;" >
<!ENTITY Ouml    "&#214;" >
<!ENTITY times   "&#215;" >
<!ENTITY Oslash  "&#216;" >
<!ENTITY Ugrave  "&#217;" >
<!ENTITY Uacute  "&#218;" >
<!ENTITY Ucirc   "&#219;" >
<!ENTITY Uuml    "&#220;" >
<!ENTITY Yacute  "&#221;" >
<!ENTITY THORN   "&#222;" >
<!ENTITY szlig   "&#223;" >
<!ENTITY agrave  "&#224;" >
<!ENTITY aacute  "&#225;" >
<!ENTITY acirc   "&#226;" >
<!ENTITY atilde  "&#227;" >
<!ENTITY auml    "&#228;" >
<!ENTITY aring   "&#229;" >
<!ENTITY aelig   "&#230;" >
<!ENTITY ccedil  "&#231;" >
<!ENTITY egrave  "&#232;" >
<!ENTITY eacute  "&#233;" >
<!ENTITY ecirc   "&#234;" >
<!ENTITY euml    "&#235;" >
<!ENTITY igrave  "&#236;" >
<!ENTITY iacute  "&#237;" >
<!ENTITY icirc   "&#238;" >
<!ENTITY iuml    "&#239;" >
<!ENTITY eth     "&#240;" >
<!ENTITY ntilde  "&#241;" >
<!ENTITY ograve  "&#242;" >
<!ENTITY oacute  "&#243;" >
<!ENTITY ocirc   "&#244;" >
<!ENTITY otilde  "&#245;" >
<!ENTITY ouml    "&#246;" >
<!ENTITY divide  "&#247;" >
<!ENTITY oslash  "&#248;" >
<!ENTITY ugrave  "&#249;" >
<!ENTITY uacute  "&#250;" >
<!ENTITY ucirc   "&#251;" >
<!ENTITY uuml    "&#252;" >
<!ENTITY yacute  "&#253;" >
<!ENTITY thorn   "&#254;" >
<!ENTITY yuml    "&#255;" >

]>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" version="1.0" indent="yes"/>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="/">

	<html>
	<head>

	<title>
		<xsl:text disable-output-escaping="yes">#%lblQANav%# - #%lblIssRep%# '</xsl:text>
		<xsl:value-of disable-output-escaping="yes" select="IssReport/@Title"/>
		<xsl:text disable-output-escaping="yes">'</xsl:text>
	</title>

	<link rel="stylesheet" type="text/css" href="QNXSLStyle.css"/>
	<link href="favicon.ico" rel="shortcut icon"/>

<script type="text/javascript">
<xsl:comment>
// dummy: required! Do not remove!
</xsl:comment>
</script>

		<xsl:apply-templates select="IssReport/Script"/>
	</head>
	<body bgcolor="#DDCCEE" class="work">
		<xsl:apply-templates select="IssReport"/>
	</body>
	</html>

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="Script">
	<script type="text/javascript">
	<xsl:value-of disable-output-escaping="yes" select="text()"/>
	</script>
</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="IssReport">

	<h2 style="margin-left=6px;">#%lblIssRep%#</h2>

	<table width="98%">
		<tr>
			<td><b>#%lblNumber%#</b></td>
			<td><b><xsl:value-of select="./@IssNum" /></b></td>
			<td><b>UID</b></td>
			<td><xsl:value-of select="./@UID" /></td>
		</tr>

		<tr>
			<td><b>#%lblAuthor%#</b></td>
			<td><xsl:value-of disable-output-escaping="yes" select="./@Author" /></td>
			<td><b>#%lblDate%#</b></td>
			<td><xsl:value-of select="substring-before( ./@DateTime, 'T' )"/>&#160;<xsl:value-of select="substring-after( ./@DateTime, 'T' )"/></td>
		</tr>

		<tr>
			<td width="120px"><b>#%lblTitle%#</b></td>
			<td colspan="3"><xsl:value-of disable-output-escaping="yes" select="./@Title" /></td>
		</tr>
	</table>

	<xsl:if test="string(./@Lock)">
		<table><tr><td width="30"><img src="rsc/PadLock.jpg" alt="Locked"/></td></tr></table>
	</xsl:if>

	<table>
		<tr><td width="120px"><b>#%lblIssStat%#</b></td><td>
			<xsl:apply-templates select="./@IssStat"/>
		</td></tr>
		<tr><td width="120px"><b>#%lblPrio%#</b></td><td>
			<xsl:apply-templates select="./@Prio"/>
		</td></tr>
		<tr><td width="120px"><b>#%lblAssgnTo%#</b></td>
			<td><xsl:apply-templates select="./@Assignd"/></td></tr>
	</table>

	<table>
		<tr>
			<td width="120px"><b>#%lblProj%#</b></td>
			<td><xsl:value-of disable-output-escaping="yes" select="./@Proj"/></td>
		</tr>
		<tr>
			<td width="80px"><b>#%lblIssType%#</b></td>
			<td><xsl:apply-templates select="./@IssType"/></td>
		</tr>
	</table>

	<table width="98%">
		<tr><td><b>#%lblText%#</b></td></tr>
		<tr><td colspan="3">
			<xsl:call-template name="br-replace">
				<xsl:with-param name="word" select="./Text"/>
			</xsl:call-template>
		</td></tr>
	</table>

	<xsl:if test="FileUpload">

		<table border="2" cellspacing="0" cellpadding="4" width="98%">
			<tr>
				<td valign="center" align="left" colspan="2">

					<p>#%lblAddData%#</p>
				</td>
			</tr>
			<xsl:apply-templates select="./FileUpload"/>
		</table>
	</xsl:if>
	
	<table width="98%">
		<tr>
			<td colspan="2"><b>#%lblFix%#</b></td>
		</tr>
			<xsl:apply-templates select="./RefFix"/>
		</table>

	<xsl:if test="LogEntry">

		<h4 style="margin-left=6px;">#%lblLogEntries%#</h4>
		<xsl:apply-templates select="./LogEntry">
			<xsl:sort select="@DateTime" order="descending"/>
		</xsl:apply-templates>
	</xsl:if>

	<xsl:if test="ProcLog">

		<h4 style="margin-left=6px;">#%lblProcLog%#</h4>
			<table width="98%">
				<tr><td class="DT"><b>#%lblDate%#</b></td><td>&#160;</td></tr>
				<xsl:apply-templates select="./ProcLog">
					<xsl:sort select="@DateTime" order="descending"/>
				</xsl:apply-templates>
			</table>
	</xsl:if>

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="@IssStat">

	<xsl:choose > 
<xsl:when test = ". = 'as'" ><xsl:text>#%valStat_as%#</xsl:text></xsl:when>
<xsl:when test = ". = 'at'" ><xsl:text>#%valStat_at%#</xsl:text></xsl:when>
<xsl:when test = ". = 'bd'" ><xsl:text>#%valStat_bd%#</xsl:text></xsl:when>
<xsl:when test = ". = 'CfNR'" ><xsl:text>#%valStat_CfNR%#</xsl:text></xsl:when>
<xsl:when test = ". = 'cl'" ><xsl:text>#%valStat_cl%#</xsl:text></xsl:when>
<xsl:when test = ". = 'cr'" ><xsl:text>#%valStat_cr%#</xsl:text></xsl:when>
<xsl:when test = ". = 'ct'" ><xsl:text>#%valStat_ct%#</xsl:text></xsl:when>
<xsl:when test = ". = 'dr'" ><xsl:text>#%valStat_dr%#</xsl:text></xsl:when>
<xsl:when test = ". = 'du'" ><xsl:text>#%valStat_du%#</xsl:text></xsl:when>
<xsl:when test = ". = 'es'" ><xsl:text>#%valStat_es%#</xsl:text></xsl:when>
<xsl:when test = ". = 'ev'" ><xsl:text>#%valStat_ev%#</xsl:text></xsl:when>
<xsl:when test = ". = 'fd'" ><xsl:text>#%valStat_fd%#</xsl:text></xsl:when>
<xsl:when test = ". = 'fx'" ><xsl:text>#%valStat_fx%#</xsl:text></xsl:when>
<xsl:when test = ". = 'nr'" ><xsl:text>#%valStat_nr%#</xsl:text></xsl:when>
<xsl:when test = ". = 'ps'" ><xsl:text>#%valStat_ps%#</xsl:text></xsl:when>
<xsl:when test = ". = 'rCfNR'" ><xsl:text>#%valStat_rCfNR%#</xsl:text></xsl:when>
<xsl:when test = ". = 're'" ><xsl:text>#%valStat_re%#</xsl:text></xsl:when>
<xsl:when test = ". = 'rg'" ><xsl:text>#%valStat_rg%#</xsl:text></xsl:when>
<xsl:when test = ". = 'rj'" ><xsl:text>#%valStat_rj%#</xsl:text></xsl:when>
<xsl:when test = ". = 'rr'" ><xsl:text>#%valStat_rr%#</xsl:text></xsl:when>
<xsl:when test = ". = 'rs'" ><xsl:text>#%valStat_rs%#</xsl:text></xsl:when>
<xsl:when test = ". = 'rt'" ><xsl:text>#%valStat_rt%#</xsl:text></xsl:when>
<xsl:when test = ". = 'rv'" ><xsl:text>#%valStat_rv%#</xsl:text></xsl:when>
<xsl:when test = ". = 'sb'" ><xsl:text>#%valStat_sb%#</xsl:text></xsl:when>
<xsl:when test = ". = 'sh'" ><xsl:text>#%valStat_sh%#</xsl:text></xsl:when>
<xsl:when test = ". = 'tf'" ><xsl:text>#%valStat_tf%#</xsl:text></xsl:when>
<xsl:when test = ". = 'ts'" ><xsl:text>#%valStat_ts%#</xsl:text></xsl:when>
<xsl:when test = ". = 'wf'" ><xsl:text>#%valStat_wf%#</xsl:text></xsl:when>
		<xsl:otherwise> 
			<xsl:value-of disable-output-escaping="yes" select="." />
		</xsl:otherwise> 
	</xsl:choose> 

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="@Prio">

	<xsl:choose > 
		<xsl:when test = ". = '1'" > 
			<xsl:text>#%valPrio_1%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = '2'" > 
			<xsl:text>#%valPrio_2%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = '3'" > 
			<xsl:text>#%valPrio_3%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = '4'" > 
			<xsl:text>#%valPrio_4%#</xsl:text> 
		</xsl:when>
		<xsl:otherwise> 
			<xsl:value-of disable-output-escaping="yes" select="." />
		</xsl:otherwise> 
	</xsl:choose> 

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="@IssType">

	<xsl:choose > 
		<xsl:when test = ". = 'cr'" > 
			<xsl:text>#%valIssType_cr%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = 'er'" > 
			<xsl:text>#%valIssType_er%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = 'rc'" > 
			<xsl:text>#%valIssType_rc%#</xsl:text> 
		</xsl:when>
		<xsl:otherwise> 
			<xsl:value-of disable-output-escaping="yes" select="." />
		</xsl:otherwise> 
	</xsl:choose>  

</xsl:template>


<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="RefFix">

		<tr>
			<td width="80px">
				<xsl:apply-templates select="./@FixStat"/>
			</td>
			<td>
				<a href="VQANavDoc?QNA=ViewFix&amp;UID={@RefUID}" >
					<xsl:value-of disable-output-escaping="yes" select="./@Title"/>
				</a>
			</td>
		</tr>

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="LogEntry">

	<table width="98%">
		<tr>
			<td class="DT" rowspan="2"><xsl:value-of select="substring-before( ./@DateTime, 'T' )"/>&#160;<xsl:value-of select="substring-after( ./@DateTime, 'T' )"/></td>
			<td width="160px">#%lblAuthor%#: <xsl:value-of disable-output-escaping="yes" select="./@Author"/></td>
			<td><xsl:value-of disable-output-escaping="yes" select="./@Title"/></td>
		</tr>
		<tr>
			<td colspan="2">
				<p>
					<xsl:call-template name="br-replace">
						<xsl:with-param name="word" select="."/>
					</xsl:call-template>
				</p>
			</td>
		</tr>
	</table>

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="ProcLog">

		<tr>
			<td class="DT"><xsl:value-of select="substring-before( ./@DateTime, 'T' )"/>&#160;<xsl:value-of select="substring-after( ./@DateTime, 'T' )"/></td>
			<td><p><xsl:value-of disable-output-escaping="yes" select="."/></p></td>
		</tr>

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="FileUpload">

	<tr><td>
		<table border="1" cellspacing="0" cellpadding="4">
			<tr>
				<td valign="center" align="left" width="550pt">
					<a href="Upload/{@UID}/{@Name}" type="{@ContentType}" ><xsl:value-of select="./@Name"/></a>
					<br></br>
					<input class="ro" type="text" size="82" value="{Desc}" readonly="readonly" />
				</td>
			</tr>
		</table>
	</td></tr>
</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template match="@FixStat">

	<xsl:choose > 
		<xsl:when test = ". = 'as'" > 
			<xsl:text>#%valStat_as%#</xsl:text> 
		</xsl:when> 
		<xsl:when test = ". = 'nr'" > 
			<xsl:text>#%valStat_rr%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = 'dr'" > 
			<xsl:text>#%valStat_dr%#</xsl:text> 
		</xsl:when> 
		<xsl:when test = ". = 'du'" > 
			<xsl:text>#%valStat_du%#</xsl:text> 
		</xsl:when> 
		<xsl:when test = ". = 'fd'" > 
			<xsl:text>#%valStat_fd%#</xsl:text> 
		</xsl:when> 
		<xsl:when test = ". = 'fx'" > 
			<xsl:text>#%valStat_fx%#</xsl:text> 
		</xsl:when> 
		<xsl:when test = ". = 'wf'" > 
			<xsl:text>#%valStat_wf%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = 'rt'" > 
			<xsl:text>#%valStat_rt%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = 'at'" > 
			<xsl:text>#%valStat_at%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = 'ts'" > 
			<xsl:text>#%valStat_ts%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = 'tf'" > 
			<xsl:text>#%valStat_tf%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = 'rj'" > 
			<xsl:text>#%valStat_rj%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = 'rr'" > 
			<xsl:text>#%valStat_rr%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = 'rs'" > 
			<xsl:text>#%valStat_rs%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = 'rv'" > 
			<xsl:text>#%valStat_rv%#</xsl:text> 
		</xsl:when>
		<xsl:when test = ". = 'sh'" > 
			<xsl:text>#%valStat_sh%#</xsl:text> 
		</xsl:when> 
		<xsl:when test = ". = 'cl'" > 
			<xsl:text>#%valStat_cl%#</xsl:text> 
		</xsl:when> 
		<xsl:otherwise> 
			<xsl:value-of disable-output-escaping="yes" select="." />
		</xsl:otherwise> 
	</xsl:choose> 

</xsl:template>

<!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
<xsl:template name="br-replace">

	<xsl:param name="word"/>

	<!-- </xsl:text> on next line on purpose to get newline -->
  <xsl:variable name="cr"><xsl:text>
</xsl:text></xsl:variable>
	<xsl:choose>

		<xsl:when test="contains($word,$cr)">

			<xsl:value-of disable-output-escaping="yes" select="substring-before($word,$cr)"/>
			<br/>
			<xsl:call-template name="br-replace">

				<xsl:with-param name="word">

					<xsl:value-of select="substring-after($word,$cr)"/>
			  </xsl:with-param>
			</xsl:call-template>
		</xsl:when>

		<xsl:otherwise>

			<xsl:value-of disable-output-escaping="yes" select="$word"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>
